local function is_whisper()
	return managers.groupai:state():whisper_mode()
end

local TripMineBase_interaction_text_id = TripMineBase.interaction_text_id
function TripMineBase:interaction_text_id()
	return not is_whisper() and TripMineBase_interaction_text_id(self)
end

local TripMineBase_contour_selected = TripMineBase.contour_selected
function TripMineBase:contour_selected()
	if not is_whisper() then
		TripMineBase_contour_selected(self)
	end
end

local TripMineBase_contour_unselected = TripMineBase.contour_unselected
function TripMineBase:contour_unselected()
	if not is_whisper() then
		TripMineBase_contour_unselected(self)
	end
end